## pommed 1.2~dfsg

=== Makefile ===
# Top-level Makefile for pommed & tools

all: pommed gpomme wmpomme

pommed:
	$(MAKE) -C pommed

gpomme:
	$(MAKE) -C gpomme

wmpomme:
	$(MAKE) -C wmpomme

clean:
	$(MAKE) -C pommed clean
	$(MAKE) -C gpomme clean
	$(MAKE) -C wmpomme clean
	rm -f *~

.PHONY: pommed gpomme wmpomme

=== gpomme/Makefile ===
CC = gcc

GTK_CFLAGS = $(shell pkg-config --cflags gtk+-2.0)
GTK_LIBS = $(shell pkg-config --libs gtk+-2.0)

DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
DBUS_LIBS = $(shell pkg-config dbus-1 --libs)

ALSA_CFLAGS = $(shell pkg-config alsa --cflags)
ALSA_LIBS = $(shell pkg-config alsa --libs)

AUDIOFILE_CFLAGS = $(shell pkg-config audiofile --cflags)
AUDIOFILE_LIBS = $(shell pkg-config audiofile --libs)

CONFUSE_CFLAGS = $(shell pkg-config libconfuse --cflags)
CONFUSE_LIBS = $(shell pkg-config libconfuse --libs)

CFLAGS = -g -O2 -Wall $(ALSA_CFLAGS) $(AUDIOFILE_CFLAGS) $(DBUS_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS)
LDFLAGS = -lpthread $(ALSA_LIBS) $(AUDIOFILE_LIBS) $(DBUS_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS)

SOURCES = gpomme.c theme.c audio.c conffile.c ../dbus-client/dbus-client.c
POFILES = po/fr.po po/de.po po/es.po

OBJS = $(SOURCES:%.c=%.o)
MOFILES = $(POFILES:%.po=%.mo)

all: gpomme mo

mo: $(MOFILES)

gpomme: $(OBJS) $(LIBS)

gpomme.o: gpomme.c gpomme.h theme.h audio.h ../dbus-client/dbus-client.h

theme.o: theme.c theme.h gpomme.h

audio.o: audio.c audio.h gpomme.h

conffile.o: conffile.c conffile.h gpomme.h theme.h

../dbus-client/dbus-client.o: ../dbus-client/dbus-client.c ../dbus-client/dbus-client.h

%.mo: %.po
	@echo Building $@...
	@msgfmt --statistics -o $@ $<

updatepo:
	xgettext -L C -k_ -o po/gpomme.pot $(SOURCES)
	for po in $(POFILES); do \
		msgmerge -U $$po po/gpomme.pot; \
	done

clean:
	rm -f gpomme $(OBJS) $(MOFILES)
	rm -f *~ po/*~

=== pommed/Makefile ===
ARCH ?= $(shell uname -m)

CC = gcc

DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
DBUS_LIBS = $(shell pkg-config dbus-1 --libs)

ALSA_CFLAGS = $(shell pkg-config alsa --cflags)
ALSA_LIBS = $(shell pkg-config alsa --libs)

CONFUSE_CFLAGS = $(shell pkg-config libconfuse --cflags)
CONFUSE_LIBS = $(shell pkg-config libconfuse --libs)

CFLAGS = -g -O2 -Wall $(CONFUSE_CFLAGS) $(DBUS_CFLAGS) $(ALSA_CFLAGS)

ifeq ($(ARCH), ppc)
LDFLAGS = -lz $(CONFUSE_LIBS) $(DBUS_LIBS) $(ALSA_LIBS)

SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c dbus.c \
		pmac/sysfs_backlight.c \
		pmac/kbd_backlight.c pmac/ambient.c

OF_SOURCES = pmac/oflib/of_externals.c pmac/oflib/of_internals.c \
		pmac/oflib/of_standard.c

OF_OBJS = $(OF_SOURCES:%.c=%.o)

LIBS = pmac/oflib/oflib.a

else

LDFLAGS = -lz -lsmbios $(CONFUSE_LIBS) $(DBUS_LIBS) $(ALSA_LIBS)

SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c dbus.c \
		mactel/x1600_backlight.c mactel/gma950_backlight.c \
		mactel/kbd_backlight.c mactel/ambient.c

LIBS = /usr/lib/libpci.a
endif

OBJS = $(SOURCES:%.c=%.o)


pommed: $(OBJS) $(LIBS)

pommed.o: pommed.c pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h evdev.h conffile.h audio.h dbus.h

cd_eject.o: cd_eject.c cd_eject.h pommed.h conffile.h dbus.h

evdev.o: evdev.c evdev.h pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h conffile.h audio.h

conffile.o: conffile.c conffile.h pommed.h lcd_backlight.h kbd_backlight.h cd_eject.h audio.h

audio.o: audio.c audio.h pommed.h conffile.h dbus.h

dbus.o: dbus.c dbus.h pommed.h lcd_backlight.h kbd_backlight.h ambient.h audio.h


# PowerMac-specific files
pmac/kbd_backlight.o: pmac/kbd_backlight.c kbd_auto.c kbd_backlight.h pommed.h ambient.h conffile.h dbus.h

pmac/sysfs_backlight.o: pmac/sysfs_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

pmac/ambient.o: pmac/ambient.c ambient.h pommed.h dbus.h

# OFlib
pmac/oflib/oflib.a: $(OF_OBJS)
	ar cru $@ $^

pmac/oflib/of_externals.o: pmac/oflib/of_externals.c pmac/oflib/of_api.h

pmac/oflib/of_internals.o: pmac/oflib/of_internals.c pmac/oflib/of_api.h

pmac/oflib/of_standard.o: pmac/oflib/of_standard.c pmac/oflib/of_api.h


# Mactel-specific files
mactel/x1600_backlight.o: mactel/x1600_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

mactel/gma950_backlight.o: mactel/gma950_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

mactel/kbd_backlight.o: mactel/kbd_backlight.c kbd_auto.c kbd_backlight.h pommed.h ambient.h conffile.h dbus.h

mactel/ambient.o: mactel/ambient.c ambient.h pommed.h dbus.h


clean:
	rm -f pommed $(OBJS) $(OF_OBJS) pmac/oflib/oflib.a
	rm -f *~ mactel/*~ pmac/*~ pmac/oflib/*~

=== wmpomme/Makefile ===
CC = gcc

DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
DBUS_LIBS = $(shell pkg-config dbus-1 --libs)

CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS)
LDFLAGS = -lXpm -lXext -lX11 $(DBUS_LIBS)

SOURCES = wmgeneral.c wmpomme.c ../dbus-client/dbus-client.c

OBJS = $(SOURCES:%.c=%.o)

wmpomme: $(OBJS)

wmpomme.o: wmpomme.c wmgeneral.h wmpomme-master.xpm ../dbus-client/dbus-client.h

wmgeneral.o: wmgeneral.c wmgeneral.h

../dbus-client/dbus-client.o: ../dbus-client/dbus-client.c ../dbus-client/dbus-client.h

clean:
	rm -f wmpomme $(OBJS)
	rm -f *~

## pommed 1.8~dfsg

=== gpomme/Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 GTK_CFLAGS = $(shell pkg-config --cflags gtk+-2.0)
 GTK_LIBS = $(shell pkg-config --libs gtk+-2.0)
+
+GLADE_CFLAGS = $(shell pkg-config --cflags libglade-2.0)
+GLADE_LIBS = $(shell pkg-config --libs libglade-2.0)
 
 DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
 DBUS_LIBS = $(shell pkg-config dbus-1 --libs)
@@ -15,11 +18,11 @@
 CONFUSE_CFLAGS = $(shell pkg-config libconfuse --cflags)
 CONFUSE_LIBS = $(shell pkg-config libconfuse --libs)
 
-CFLAGS = -g -O2 -Wall $(ALSA_CFLAGS) $(AUDIOFILE_CFLAGS) $(DBUS_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS)
-LDFLAGS = -lpthread $(ALSA_LIBS) $(AUDIOFILE_LIBS) $(DBUS_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS)
+CFLAGS = -g -O2 -Wall $(ALSA_CFLAGS) $(AUDIOFILE_CFLAGS) $(DBUS_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS) $(GLADE_CFLAGS)
+LDFLAGS = -lpthread $(ALSA_LIBS) $(AUDIOFILE_LIBS) $(DBUS_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS) $(GLADE_LIBS)
 
 SOURCES = gpomme.c theme.c audio.c conffile.c ../dbus-client/dbus-client.c
-POFILES = po/fr.po po/de.po po/es.po
+POFILES = po/fr.po po/de.po po/es.po po/it.po
 
 OBJS = $(SOURCES:%.c=%.o)
 MOFILES = $(POFILES:%.po=%.mo)

=== pommed/Makefile ===
ARCH ?= $(shell uname -m)

CC = gcc

DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
DBUS_LIBS = $(shell pkg-config dbus-1 --libs)

ALSA_CFLAGS = $(shell pkg-config alsa --cflags)
ALSA_LIBS = $(shell pkg-config alsa --libs)

CONFUSE_CFLAGS = $(shell pkg-config libconfuse --cflags)
CONFUSE_LIBS = $(shell pkg-config libconfuse --libs)

CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(ALSA_CFLAGS) $(CONFUSE_CFLAGS)

ifeq ($(ARCH), ppc)
OFLIB ?=

LDFLAGS = -lz $(DBUS_LIBS) $(ALSA_LIBS) $(CONFUSE_LIBS)

SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c dbus.c power.c \
		pmac/sysfs_backlight.c pmac/pmu.c \
		pmac/kbd_backlight.c pmac/ambient.c

OF_SOURCES = pmac/ofapi/of_externals.c pmac/ofapi/of_internals.c \
		pmac/ofapi/of_standard.c

OF_OBJS = $(OF_SOURCES:%.c=%.o)

ifneq ($(OFLIB),)
CFLAGS += -Ipmac
LIBS = pmac/ofapi/oflib.a
else
LDFLAGS += -lofapi
endif

else

LDFLAGS = -lz -lsmbios $(DBUS_LIBS) $(ALSA_LIBS) $(CONFUSE_LIBS)

SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c dbus.c power.c \
		mactel/x1600_backlight.c mactel/gma950_backlight.c \
		mactel/nv8600mgt_backlight.c \
		mactel/kbd_backlight.c mactel/ambient.c mactel/acpi.c

LIBS = /usr/lib/libpci.a
endif

OBJS = $(SOURCES:%.c=%.o)


pommed: $(OBJS) $(LIBS)

pommed.o: pommed.c pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h evdev.h conffile.h audio.h dbus.h

cd_eject.o: cd_eject.c cd_eject.h pommed.h conffile.h dbus.h

evdev.o: evdev.c evdev.h pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h conffile.h audio.h

conffile.o: conffile.c conffile.h pommed.h lcd_backlight.h kbd_backlight.h cd_eject.h audio.h

audio.o: audio.c audio.h pommed.h conffile.h dbus.h

dbus.o: dbus.c dbus.h pommed.h lcd_backlight.h kbd_backlight.h ambient.h audio.h

power.o: power.c power.h pommed.h lcd_backlight.h


# PowerMac-specific files
pmac/kbd_backlight.o: pmac/kbd_backlight.c kbd_auto.c kbd_backlight.h pommed.h ambient.h conffile.h dbus.h

pmac/sysfs_backlight.o: pmac/sysfs_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

pmac/ambient.o: pmac/ambient.c ambient.h pommed.h dbus.h

pmac/pmu.o: pmac/pmu.c power.h

# OFlib
pmac/ofapi/oflib.a: $(OF_OBJS)
	ar cru $@ $^

pmac/ofapi/of_externals.o: pmac/ofapi/of_externals.c pmac/ofapi/of_api.h

pmac/ofapi/of_internals.o: pmac/ofapi/of_internals.c pmac/ofapi/of_api.h

pmac/ofapi/of_standard.o: pmac/ofapi/of_standard.c pmac/ofapi/of_api.h


# Mactel-specific files
mactel/x1600_backlight.o: mactel/x1600_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

mactel/gma950_backlight.o: mactel/gma950_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

mactel/nv8600mgt_backlight.o: mactel/nv8600mgt_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

mactel/kbd_backlight.o: mactel/kbd_backlight.c kbd_auto.c kbd_backlight.h pommed.h ambient.h conffile.h dbus.h

mactel/ambient.o: mactel/ambient.c ambient.h pommed.h dbus.h

mactel/acpi.o: mactel/acpi.c power.h


clean:
	rm -f pommed $(OBJS) $(OF_OBJS) pmac/ofapi/oflib.a
	rm -f *~ mactel/*~ pmac/*~ pmac/ofapi/*~

## pommed 1.15~dfsg

=== gpomme/Makefile ===
CC = gcc

GTK_CFLAGS = $(shell pkg-config --cflags gtk+-2.0)
GTK_LIBS = $(shell pkg-config --libs gtk+-2.0)

GLADE_CFLAGS = $(shell pkg-config --cflags libglade-2.0)
GLADE_LIBS = $(shell pkg-config --libs libglade-2.0)

DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
DBUS_LIBS = $(shell pkg-config dbus-1 --libs)

CONFUSE_CFLAGS = $(shell pkg-config libconfuse --cflags)
CONFUSE_LIBS = $(shell pkg-config libconfuse --libs)

INOTIFY_CFLAGS = $(shell test -e /usr/include/sys/inotify.h || echo -DNO_SYS_INOTIFY_H)

CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS) $(GLADE_CFLAGS) $(INOTIFY_CFLAGS)
LDFLAGS = -lpthread $(DBUS_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS) $(GLADE_LIBS)

SOURCES = gpomme.c theme.c conffile.c \
		../client-common/dbus-client.c \
		../client-common/video-client.c
POFILES = po/fr.po po/de.po po/es.po po/it.po

OBJS = $(SOURCES:%.c=%.o)
MOFILES = $(POFILES:%.po=%.mo)

all: gpomme mo

mo: $(MOFILES)

gpomme: $(OBJS) $(LIBS)

gpomme.o: gpomme.c gpomme.h theme.h ../client-common/dbus-client.h ../client-common/video-client.h

theme.o: theme.c theme.h gpomme.h

conffile.o: conffile.c conffile.h gpomme.h theme.h

../client-common/dbus-client.o: ../client-common/dbus-client.c ../client-common/dbus-client.h

../client-common/video-client.o: ../client-common/video-client.c ../client-common/video-client.h

%.mo: %.po
	@echo Building $@...
	@msgfmt --statistics -o $@ $<

updatepo:
	xgettext -L C -k_ -o po/gpomme.pot $(SOURCES)
	for po in $(POFILES); do \
		msgmerge -U $$po po/gpomme.pot; \
	done

clean:
	rm -f gpomme $(OBJS) $(MOFILES)
	rm -f *~ po/*~ ../client-common/*~

=== pommed/Makefile ===
--- 
+++ 
@@ -8,17 +8,23 @@
 ALSA_CFLAGS = $(shell pkg-config alsa --cflags)
 ALSA_LIBS = $(shell pkg-config alsa --libs)
 
+AUDIOFILE_CFLAGS = $(shell pkg-config audiofile --cflags)
+AUDIOFILE_LIBS = $(shell pkg-config audiofile --libs)
+
 CONFUSE_CFLAGS = $(shell pkg-config libconfuse --cflags)
 CONFUSE_LIBS = $(shell pkg-config libconfuse --libs)
 
-CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(ALSA_CFLAGS) $(CONFUSE_CFLAGS)
+INOTIFY_CFLAGS = $(shell test -e /usr/include/sys/inotify.h || echo -DNO_SYS_INOTIFY_H)
+
+CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(ALSA_CFLAGS) $(AUDIOFILE_CFLAGS) $(CONFUSE_CFLAGS) $(INOTIFY_CFLAGS)
+
+LDFLAGS = -pthread $(DBUS_LIBS) $(ALSA_LIBS) $(AUDIOFILE_LIBS) $(CONFUSE_LIBS)
 
 ifeq ($(ARCH), ppc)
 OFLIB ?=
 
-LDFLAGS = -lz $(DBUS_LIBS) $(ALSA_LIBS) $(CONFUSE_LIBS)
-
-SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c dbus.c power.c \
+SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c \
+		dbus.c power.c beep.c video.c \
 		pmac/sysfs_backlight.c pmac/pmu.c \
 		pmac/kbd_backlight.c pmac/ambient.c
 
@@ -36,9 +42,10 @@
 
 else
 
-LDFLAGS = -lz -lsmbios $(DBUS_LIBS) $(ALSA_LIBS) $(CONFUSE_LIBS)
+LDFLAGS += -lz -lsmbios
 
-SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c dbus.c power.c \
+SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c \
+		dbus.c power.c beep.c video.c \
 		mactel/x1600_backlight.c mactel/gma950_backlight.c \
 		mactel/nv8600mgt_backlight.c \
 		mactel/kbd_backlight.c mactel/ambient.c mactel/acpi.c
@@ -51,19 +58,23 @@
 
 pommed: $(OBJS) $(LIBS)
 
-pommed.o: pommed.c pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h evdev.h conffile.h audio.h dbus.h
+pommed.o: pommed.c pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h evdev.h conffile.h audio.h dbus.h beep.h
 
 cd_eject.o: cd_eject.c cd_eject.h pommed.h conffile.h dbus.h
 
-evdev.o: evdev.c evdev.h pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h conffile.h audio.h
+evdev.o: evdev.c evdev.h pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h conffile.h audio.h video.h beep.h
 
-conffile.o: conffile.c conffile.h pommed.h lcd_backlight.h kbd_backlight.h cd_eject.h audio.h
+conffile.o: conffile.c conffile.h pommed.h lcd_backlight.h kbd_backlight.h cd_eject.h audio.h beep.h
 
 audio.o: audio.c audio.h pommed.h conffile.h dbus.h
 
 dbus.o: dbus.c dbus.h pommed.h lcd_backlight.h kbd_backlight.h ambient.h audio.h
 
 power.o: power.c power.h pommed.h lcd_backlight.h
+
+beep.o: beep.c beep.h pommed.h audio.h
+
+video.o: video.c video.h pommed.h dbus.h
 
 
 # PowerMac-specific files

=== wmpomme/Makefile ===
CC = gcc

DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
DBUS_LIBS = $(shell pkg-config dbus-1 --libs)

CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS)
LDFLAGS = -lXpm -lXext -lX11 $(DBUS_LIBS)

SOURCES = wmgeneral.c wmpomme.c \
	../client-common/dbus-client.c \
	../client-common/video-client.c

OBJS = $(SOURCES:%.c=%.o)

wmpomme: $(OBJS)

wmpomme.o: wmpomme.c wmgeneral.h wmpomme-master.xpm ../client-common/dbus-client.h

wmgeneral.o: wmgeneral.c wmgeneral.h

../client-common/dbus-client.o: ../client-common/dbus-client.c ../client-common/dbus-client.h

../client-common/dbus-video.o: ../client-common/video-client.c ../client-common/video-client.h

clean:
	rm -f wmpomme $(OBJS)
	rm -f *~ ../client-common/*~

## pommed 1.18~dfsg

=== pommed/Makefile ===
--- 
+++ 
@@ -42,15 +42,26 @@
 
 else
 
-LDFLAGS += -lz -lsmbios
+LIBPCI_SHARED = $(shell pkg-config libpci && echo true || echo false)
+
+ifeq ($(LIBPCI_SHARED), true)
+	LIBPCI_CFLAGS = $(shell pkg-config libpci --cflags)
+	LIBPCI_LIBS = $(shell pkg-config libpci --libs)
+
+	CFLAGS += $(LIBPCI_CFLAGS)
+	LDFLAGS += $(LIBPCI_LIBS)
+else
+	LIBS = /usr/lib/libpci.a
+	LDFLAGS += -lz	
+endif
+
+LDFLAGS += -lsmbios
 
 SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c \
 		dbus.c power.c beep.c video.c \
 		mactel/x1600_backlight.c mactel/gma950_backlight.c \
 		mactel/nv8600mgt_backlight.c \
 		mactel/kbd_backlight.c mactel/ambient.c mactel/acpi.c
-
-LIBS = /usr/lib/libpci.a
 endif
 
 OBJS = $(SOURCES:%.c=%.o)

## pommed 1.21~dfsg

=== gpomme/Makefile ===
--- 
+++ 
@@ -9,13 +9,16 @@
 DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
 DBUS_LIBS = $(shell pkg-config dbus-1 --libs)
 
+DBUSGLIB_CFLAGS = $(shell pkg-config dbus-glib-1 --cflags)
+DBUSGLIB_LIBS = $(shell pkg-config dbus-glib-1 --libs)
+
 CONFUSE_CFLAGS = $(shell pkg-config libconfuse --cflags)
 CONFUSE_LIBS = $(shell pkg-config libconfuse --libs)
 
 INOTIFY_CFLAGS = $(shell test -e /usr/include/sys/inotify.h || echo -DNO_SYS_INOTIFY_H)
 
-CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS) $(GLADE_CFLAGS) $(INOTIFY_CFLAGS)
-LDFLAGS = -lpthread $(DBUS_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS) $(GLADE_LIBS)
+CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(DBUSGLIB_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS) $(GLADE_CFLAGS) $(INOTIFY_CFLAGS)
+LDFLAGS = -lpthread $(DBUS_LIBS) $(DBUSGLIB_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS) $(GLADE_LIBS)
 
 SOURCES = gpomme.c theme.c conffile.c \
 		../client-common/dbus-client.c \

=== pommed/Makefile ===
--- 
+++ 
@@ -18,13 +18,13 @@
 
 CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(ALSA_CFLAGS) $(AUDIOFILE_CFLAGS) $(CONFUSE_CFLAGS) $(INOTIFY_CFLAGS)
 
-LDFLAGS = -pthread $(DBUS_LIBS) $(ALSA_LIBS) $(AUDIOFILE_LIBS) $(CONFUSE_LIBS)
+LDFLAGS = -pthread -lrt $(DBUS_LIBS) $(ALSA_LIBS) $(AUDIOFILE_LIBS) $(CONFUSE_LIBS)
 
-ifeq ($(ARCH), ppc)
+ifneq (, $(findstring ppc, $(ARCH)))
 OFLIB ?=
 
 SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c \
-		dbus.c power.c beep.c video.c \
+		evloop.c dbus.c power.c beep.c video.c \
 		pmac/sysfs_backlight.c pmac/pmu.c \
 		pmac/kbd_backlight.c pmac/ambient.c
 
@@ -55,10 +55,8 @@
 	LDFLAGS += -lz	
 endif
 
-LDFLAGS += -lsmbios
-
 SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c \
-		dbus.c power.c beep.c video.c \
+		evloop.c dbus.c power.c beep.c video.c \
 		mactel/x1600_backlight.c mactel/gma950_backlight.c \
 		mactel/nv8600mgt_backlight.c \
 		mactel/kbd_backlight.c mactel/ambient.c mactel/acpi.c
@@ -69,27 +67,29 @@
 
 pommed: $(OBJS) $(LIBS)
 
-pommed.o: pommed.c pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h evdev.h conffile.h audio.h dbus.h beep.h
+pommed.o: pommed.c pommed.h evloop.h kbd_backlight.h lcd_backlight.h cd_eject.h evdev.h conffile.h audio.h dbus.h beep.h
 
 cd_eject.o: cd_eject.c cd_eject.h pommed.h conffile.h dbus.h
 
-evdev.o: evdev.c evdev.h pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h conffile.h audio.h video.h beep.h
+evdev.o: evdev.c evdev.h evloop.h pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h conffile.h audio.h video.h beep.h
+
+evloop.o: evloop.c evloop.h pommed.h
 
 conffile.o: conffile.c conffile.h pommed.h lcd_backlight.h kbd_backlight.h cd_eject.h audio.h beep.h
 
 audio.o: audio.c audio.h pommed.h conffile.h dbus.h
 
-dbus.o: dbus.c dbus.h pommed.h lcd_backlight.h kbd_backlight.h ambient.h audio.h
+dbus.o: dbus.c dbus.h evloop.h pommed.h lcd_backlight.h kbd_backlight.h ambient.h audio.h
 
-power.o: power.c power.h pommed.h lcd_backlight.h
+power.o: power.c power.h evloop.h pommed.h lcd_backlight.h
 
-beep.o: beep.c beep.h pommed.h audio.h
+beep.o: beep.c beep.h pommed.h evloop.h audio.h
 
 video.o: video.c video.h pommed.h dbus.h
 
 
 # PowerMac-specific files
-pmac/kbd_backlight.o: pmac/kbd_backlight.c kbd_auto.c kbd_backlight.h pommed.h ambient.h conffile.h dbus.h
+pmac/kbd_backlight.o: pmac/kbd_backlight.c kbd_auto.c kbd_backlight.h evloop.h pommed.h ambient.h conffile.h dbus.h
 
 pmac/sysfs_backlight.o: pmac/sysfs_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h
 
@@ -115,7 +115,7 @@
 
 mactel/nv8600mgt_backlight.o: mactel/nv8600mgt_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h
 
-mactel/kbd_backlight.o: mactel/kbd_backlight.c kbd_auto.c kbd_backlight.h pommed.h ambient.h conffile.h dbus.h
+mactel/kbd_backlight.o: mactel/kbd_backlight.c kbd_auto.c kbd_backlight.h evloop.h pommed.h ambient.h conffile.h dbus.h
 
 mactel/ambient.o: mactel/ambient.c ambient.h pommed.h dbus.h

## pommed 1.25~dfsg

=== pommed/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c \
 		evloop.c dbus.c power.c beep.c video.c \
-		pmac/sysfs_backlight.c pmac/pmu.c \
+		sysfs_backlight.c pmac/pmu.c \
 		pmac/kbd_backlight.c pmac/ambient.c
 
 OF_SOURCES = pmac/ofapi/of_externals.c pmac/ofapi/of_internals.c \
@@ -57,6 +57,7 @@
 
 SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c \
 		evloop.c dbus.c power.c beep.c video.c \
+		sysfs_backlight.c \
 		mactel/x1600_backlight.c mactel/gma950_backlight.c \
 		mactel/nv8600mgt_backlight.c \
 		mactel/kbd_backlight.c mactel/ambient.c mactel/acpi.c
@@ -87,11 +88,10 @@
 
 video.o: video.c video.h pommed.h dbus.h
 
+sysfs_backlight.o: sysfs_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h
 
 # PowerMac-specific files
 pmac/kbd_backlight.o: pmac/kbd_backlight.c kbd_auto.c kbd_backlight.h evloop.h pommed.h ambient.h conffile.h dbus.h
-
-pmac/sysfs_backlight.o: pmac/sysfs_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h
 
 pmac/ambient.o: pmac/ambient.c ambient.h pommed.h dbus.h

=== wmpomme/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DBUS_LIBS = $(shell pkg-config dbus-1 --libs)
 
 CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS)
-LDFLAGS = -lXpm -lXext -lX11 $(DBUS_LIBS)
+LDFLAGS = -lrt -lXpm -lXext -lX11 $(DBUS_LIBS)
 
 SOURCES = wmgeneral.c wmpomme.c \
 	../client-common/dbus-client.c \

## pommed 1.26~dfsg

=== gpomme/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 SOURCES = gpomme.c theme.c conffile.c \
 		../client-common/dbus-client.c \
 		../client-common/video-client.c
-POFILES = po/fr.po po/de.po po/es.po po/it.po
+POFILES = po/fr.po po/de.po po/es.po po/it.po po/ja.po
 
 OBJS = $(SOURCES:%.c=%.o)
 MOFILES = $(POFILES:%.po=%.mo)

=== pommed/Makefile ===
--- 
+++ 
@@ -16,7 +16,9 @@
 
 INOTIFY_CFLAGS = $(shell test -e /usr/include/sys/inotify.h || echo -DNO_SYS_INOTIFY_H)
 
-CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(ALSA_CFLAGS) $(AUDIOFILE_CFLAGS) $(CONFUSE_CFLAGS) $(INOTIFY_CFLAGS)
+TIMERFD_CFLAGS = $(shell test -e /usr/include/sys/timerfd.h || echo -DNO_SYS_TIMERFD_H)
+
+CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(ALSA_CFLAGS) $(AUDIOFILE_CFLAGS) $(CONFUSE_CFLAGS) $(INOTIFY_CFLAGS) $(TIMERFD_CFLAGS)
 
 LDFLAGS = -pthread -lrt $(DBUS_LIBS) $(ALSA_LIBS) $(AUDIOFILE_LIBS) $(CONFUSE_LIBS)

=== wmpomme/Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
 DBUS_LIBS = $(shell pkg-config dbus-1 --libs)
 
-CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS)
+TIMERFD_CFLAGS = $(shell test -e /usr/include/sys/timerfd.h || echo -DNO_SYS_TIMERFD_H)
+
+CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(TIMERFD_CFLAGS)
 LDFLAGS = -lrt -lXpm -lXext -lX11 $(DBUS_LIBS)
 
 SOURCES = wmgeneral.c wmpomme.c \

## pommed 1.32~dfsg

=== gpomme/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 INOTIFY_CFLAGS = $(shell test -e /usr/include/sys/inotify.h || echo -DNO_SYS_INOTIFY_H)
 
 CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(DBUSGLIB_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS) $(GLADE_CFLAGS) $(INOTIFY_CFLAGS)
-LDFLAGS = -lpthread $(DBUS_LIBS) $(DBUSGLIB_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS) $(GLADE_LIBS)
+LDFLAGS = -lpthread -lX11 $(DBUS_LIBS) $(DBUSGLIB_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS) $(GLADE_LIBS)
 
 SOURCES = gpomme.c theme.c conffile.c \
 		../client-common/dbus-client.c \

=== debian/changelog ===
pommed (1.32~dfsg-1) unstable; urgency=low

  * New upstream release.

  * Package converted to source format 3.0 (quilt).

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
  * debian/pommed.init:
    + Added $remote_fs to Required-{Start,Stop}.

 -- Julien BLACHE <jblache@debian.org>  Fri, 19 Mar 2010 18:26:38 +0100

pommed (1.31~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Adds support for the MacBookPro5,4 (closes: #564092).

 -- Julien BLACHE <jblache@debian.org>  Sun, 10 Jan 2010 11:10:15 +0100

pommed (1.30~dfsg-2) unstable; urgency=low

  * Add -lX11 to gpomme to fix build with gold (closes: #556069).

 -- Julien BLACHE <jblache@debian.org>  Fri, 13 Nov 2009 18:37:54 +0100

pommed (1.30~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Added the iBook to the list of supported machines in the description.

 -- Julien BLACHE <jblache@debian.org>  Thu, 22 Oct 2009 21:30:25 +0200

pommed (1.29~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Moved VT state code into pommed to overcome permissions issues
      (closes: #551591).

  * debian/control:
    + Tighten gpomme & wmpomme dependencies on pommed due to the
      above-mentioned change.
  * debian/pommed.init:
    + Do not fail on restart if pommed is not running (closes: #551587).

 -- Julien BLACHE <jblache@debian.org>  Mon, 19 Oct 2009 22:00:55 +0200

pommed (1.28~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sun, 13 Sep 2009 20:39:57 +0200

pommed (1.27~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.2 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 01 Aug 2009 10:29:46 +0200

pommed (1.26~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes).
    + Update pommed's description regarding ambient light sensors and
      keyboard backlight.

 -- Julien BLACHE <jblache@debian.org>  Sat, 14 Mar 2009 14:21:23 +0100

pommed (1.25~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Fix DBus configuration to allow method calls to org.pommed.

 -- Julien BLACHE <jblache@debian.org>  Sun, 04 Jan 2009 14:23:46 +0100

pommed (1.24~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Thu, 25 Dec 2008 13:34:52 +0100

pommed (1.23~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Add support for LCD backlight on late 2008 laptops (closes: #504358).

  * debian/pommed.init:
    + Demote dbus to Should-Start instead of Required-Start to avoid useless
      restarts of pommed triggered by the dbus init script.

 -- Julien BLACHE <jblache@debian.org>  Thu, 11 Dec 2008 16:05:27 +0100

pommed (1.22~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Mon, 10 Nov 2008 11:21:41 +0100

pommed (1.21~dfsg-3) unstable; urgency=low

  * gpomme:
    + Added japanese translation courtesy of Nobuhiro Iwamatsu
      (closes: #501463).

  * debian/pommed.postinst, debian/pommed.preinst, debian/pommed.postrm,
    debian/pommed.prerm:
    + Make all maintainer scripts set -e.

 -- Julien BLACHE <jblache@debian.org>  Tue, 07 Oct 2008 18:37:34 +0200

pommed (1.21~dfsg-2) unstable; urgency=low

  * debian/copyright:
    + Update.

 -- Julien BLACHE <jblache@debian.org>  Mon, 14 Jul 2008 19:06:52 +0200

pommed (1.21~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Mon, 14 Jul 2008 16:16:04 +0200

pommed (1.20~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/pommed.init:
    + Add dbus dependency.

 -- Julien BLACHE <jblache@debian.org>  Mon, 16 Jun 2008 18:44:39 +0200

pommed (1.19~dfsg-1) unstable; urgency=low

  * New upstream release.
    + WARNING: requires Linux 2.6.25 or later.
    + Make pommed use a bit less CPU time, especially on machines not having
      ambient light sensors (MacBook, MacBook Air, iBook & early PowerBook).
    + Make gpomme wake up (way) less often.

  * debian/control:
    + Get rid of the libsmbios-dev build-dep.
    + Add build-dep on libdbus-glib-1-dev.
    + Bump Standards-Version to 3.8.0 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 07 Jun 2008 12:03:25 +0200

pommed (1.18~dfsg-2) unstable; urgency=low

  * debian/rules:
    + Fix installation path for the SVG icon.
    + Comment out useless dh_desktop call.

 -- Julien BLACHE <jblache@debian.org>  Wed, 21 May 2008 19:17:08 +0200

pommed (1.18~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sun, 18 May 2008 12:08:28 +0200

pommed (1.17~dfsg-2) unstable; urgency=low

  * debian/control:
    + Build-Depend on libpci-dev instead of pciutils-dev.
    + Mark the libpci-dev build-dependency as i386+amd64-only.
    + Drop zlib1g-dev build-dependency.
    + Mention the MacBook Air in the description.
  * pommed/Makefile:
    + Changed for now-shared libpci.

 -- Julien BLACHE <jblache@debian.org>  Mon, 28 Apr 2008 18:59:47 +0200

pommed (1.17~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Thu, 17 Apr 2008 19:21:33 +0200

pommed (1.16~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Support for the January 2008 MacBookAir1,1.
    + Support for the February 2008 MacBookPro4,1 (untested).
    + Support for the February 2008 MacBook4,1 (untested).

 -- Julien BLACHE <jblache@debian.org>  Sun, 02 Mar 2008 09:57:02 +0100

pommed (1.15~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Add support for the power_supply class, needed with 2.6.24 and up.
  * debian/rules:
    + Install upstream changelog (closes: #463433).
  * debian/control:
    + s/DBus/D-Bus/


=== debian/control ===
Source: pommed
Section: utils
Priority: optional
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5.0.51~), libpci-dev [i386 amd64], libofapi-dev (>= 0git20070620) [powerpc], libconfuse-dev, libasound2-dev, libaudiofile-dev, libglade2-dev, libgtk2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.8.4

Package: pommed
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, eject
Recommends: dbus
Conflicts: mbpeventd
Replaces: mbpeventd
Description: Apple laptops hotkeys event handler
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 pommed also monitors the ambient light sensors to automatically
 light up the keyboard backlight on machines that support it.

Package: gpomme
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, pommed (>= 1.29~dfsg-1), dbus
Description: graphical client for pommed
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 gpomme is a graphical client for pommed. It listens for signals sent by
 pommed on D-Bus and displays the action taken by pommed along with the
 current state associated to this action.

Package: wmpomme
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, pommed (>= 1.29~dfsg-1), dbus
Description: WindowMaker dockapp client for pommed
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 wmpomme is a dockapp client for pommed. It displays the current level of
 each item controlled by pommed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Install pommed
	cp pommed/pommed $(CURDIR)/debian/pommed/usr/sbin/

	mkdir -p $(CURDIR)/debian/pommed/usr/share/pommed
	cp $(CURDIR)/pommed/data/* $(CURDIR)/debian/pommed/usr/share/pommed/
	ln -sf goutte.wav $(CURDIR)/debian/pommed/usr/share/pommed/beep.wav

	mkdir -p $(CURDIR)/debian/pommed/etc/dbus-1/system.d
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH), powerpc)
	cp pommed.conf.pmac $(CURDIR)/debian/pommed/etc/pommed.conf
else
	cp pommed.conf.mactel $(CURDIR)/debian/pommed/etc/pommed.conf
endif
	cp dbus-policy.conf $(CURDIR)/debian/pommed/etc/dbus-1/system.d/pommed.conf

	# Install gpomme
	cp gpomme/gpomme $(CURDIR)/debian/gpomme/usr/bin/

	mkdir -p $(CURDIR)/debian/gpomme/usr/share/applications
	cp gpomme/gpomme.desktop $(CURDIR)/debian/gpomme/usr/share/applications/
	cp gpomme/gpomme-c.desktop $(CURDIR)/debian/gpomme/usr/share/applications/

	for s in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192; do \
		mkdir -p $(CURDIR)/debian/gpomme/usr/share/icons/hicolor/$$s/apps && \
		cp icons/gpomme_$$s.png $(CURDIR)/debian/gpomme/usr/share/icons/hicolor/$$s/apps/gpomme.png ; \
	done
	mkdir -p $(CURDIR)/debian/gpomme/usr/share/icons/hicolor/scalable/apps
	cp icons/gpomme.svg $(CURDIR)/debian/gpomme/usr/share/icons/hicolor/scalable/apps/gpomme.svg

	cp icons/gpomme_32x32.xpm $(CURDIR)/debian/gpomme/usr/share/pixmaps/gpomme.xpm

	mkdir -p $(CURDIR)/debian/gpomme/usr/share/gpomme
	cp  gpomme/gpomme.glade $(CURDIR)/debian/gpomme/usr/share/gpomme
	cp -a gpomme/themes $(CURDIR)/debian/gpomme/usr/share/gpomme
	for t in $(CURDIR)/debian/gpomme/usr/share/gpomme/themes/*; do \
		rm -rf $$t/src; \
	done
	for mo in gpomme/po/*.mo; do \
		lang=`basename $$mo .mo`; \
		mkdir -p $(CURDIR)/debian/gpomme/usr/share/locale/$$lang/LC_MESSAGES; \
		cp $$mo $(CURDIR)/debian/gpomme/usr/share/locale/$$lang/LC_MESSAGES/gpomme.mo; \
	done

	# Install wmpomme
	cp wmpomme/wmpomme $(CURDIR)/debian/wmpomme/usr/bin/

	cp icons/gpomme_32x32.xpm $(CURDIR)/debian/wmpomme/usr/share/pixmaps/wmpomme.xpm

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog 
	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installinit --error-handler=init_eh
	dh_installman
	dh_link
	dh_icons
#	dh_desktop
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pommed 1.35~dfsg

=== gpomme/Makefile ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 GTK_CFLAGS = $(shell pkg-config --cflags gtk+-2.0)
 GTK_LIBS = $(shell pkg-config --libs gtk+-2.0)
-
-GLADE_CFLAGS = $(shell pkg-config --cflags libglade-2.0)
-GLADE_LIBS = $(shell pkg-config --libs libglade-2.0)
 
 DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
 DBUS_LIBS = $(shell pkg-config dbus-1 --libs)
@@ -17,8 +14,8 @@
 
 INOTIFY_CFLAGS = $(shell test -e /usr/include/sys/inotify.h || echo -DNO_SYS_INOTIFY_H)
 
-CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(DBUSGLIB_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS) $(GLADE_CFLAGS) $(INOTIFY_CFLAGS)
-LDFLAGS = -lpthread -lX11 $(DBUS_LIBS) $(DBUSGLIB_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS) $(GLADE_LIBS)
+CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(DBUSGLIB_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS) $(INOTIFY_CFLAGS)
+LDFLAGS = -lpthread -lX11 $(DBUS_LIBS) $(DBUSGLIB_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS)
 
 SOURCES = gpomme.c theme.c conffile.c \
 		../client-common/dbus-client.c \

=== debian/changelog ===
pommed (1.35~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sat, 13 Nov 2010 11:44:22 +0100

pommed (1.34~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.9.1 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 31 Jul 2010 16:03:21 +0200

pommed (1.33~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Adds support for the MacBookPro6,1, MacBookPro6,2, MacBookPro7,1 and
      MacBook6,1 (closes: #576013).

  * debian/control:
    + Remove Build-dep on libglade2-dev.

 -- Julien BLACHE <jblache@debian.org>  Thu, 24 Jun 2010 18:40:05 +0200

## pommed 1.35~jolicloud0

=== debian/changelog ===
pommed (1.35~jolicloud0) robby-lucid; urgency=low

  * Pre-release of pommed 1.35
    + No keyboard backlight on the MacBookAir3,*
    + MacBook Air 11" & 13" (Core2 Duo, October 2010) support
    + Fix crash if no fnmode sysfs node found
    + Prepare for pommed v1.35
    + Pommed v1.34
    + Add the nouveau sysfs backlight driver
    + Be more careful when invoking eject (Alioth #312213)
    + Prepare for pommed v1.34
    + Pommed v1.33
    + Update ChangeLog for Glade removal in gpomme
    + Switch from Glade to hardcoded GTK+ code
    + Update Copyright notice
    + Add support for the MacBookPro7,1 (13", Core2 Duo, April 2010)
    + Add instructions for reporting an unsupported Intel Mac machine
    + Kill PCI device check for nv8600mgt backlight
    + Add support for the MacBookPro6,1 and MacBookPro6,2 (April 2010)

  * Remove reference to depricated gpomme/gpomme.glade from debian/rules

 -- Adam McDaniel <adam@jolicloud.org>  Tue, 09 Nov 2010 21:19:35 +0100

pommed (1.33-mactel1~lucid1) unstable; urgency=low

  * Pre-release of pommed 1.33
    + Version 1.33 from Julien's git tree (jblache@debian.org)
    + make-timer-tick-rate-a-parameter (rydberg@euromail.se)
    + Inhibit-keyboard-on-LID-close-if-auto_on-only (rydberg@euromail.se)
    + Add-support-for-MacBookPro6-2-15-Core-i7 (froemel@vmars.tuwien.ac.at)

 -- Henrik Rydberg <rydberg@euromail.se>  Thu, 06 May 2010 11:32:30 +0200

pommed (1.30-mactel1) unstable; urgency=low

  * Pre-release of pommed 1.30
    + Version 1.30 from Julien's git tree
    + CPU consumption patches from mactel

 -- Henrik Rydberg <rydberg@euromail.se>  Thu, 05 Nov 2009 17:01:56 +0100

pommed (1.26~dfsg-mactel2) unstable; urgency=low

  * Inhibit-keyboard-on-LID-close-if-auto_on-only

 -- Henrik Rydberg <rydberg@euromail.se>  Sun, 23 Aug 2009 00:18:20 +0200

pommed (1.26~dfsg-mactel1) unstable; urgency=low

  * Increase timer tick rate (patches sent upstream).

 -- Henrik Rydberg <rydberg@euromail.se>  Sun, 16 Aug 2009 17:24:19 +0200

=== debian/control ===
Source: pommed
Section: utils
Priority: optional
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5.0.51~), libpci-dev [i386 amd64], libofapi-dev (>= 0git20070620) [powerpc], libconfuse-dev, libasound2-dev, libaudiofile-dev, libglade2-dev, libgtk2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.8.1

Package: pommed
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, eject
Recommends: dbus
Conflicts: mbpeventd
Replaces: mbpeventd
Description: Apple laptops hotkeys event handler
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook and PowerBook laptops and adjusts the LCD backlight, sound volume,
 keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 pommed also monitors the ambient light sensors to automatically
 light up the keyboard backlight on machines that support it.

Package: gpomme
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, pommed (>= 1.13~dfsg-1), dbus
Description: graphical client for pommed
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook and PowerBook laptops and adjusts the LCD backlight, sound volume,
 keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 gpomme is a graphical client for pommed. It listens for signals sent by
 pommed on D-Bus and displays the action taken by pommed along with the
 current state associated to this action.

Package: wmpomme
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, pommed (>= 1.13~dfsg-1), dbus
Description: WindowMaker dockapp client for pommed
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook and PowerBook laptops and adjusts the LCD backlight, sound volume,
 keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 wmpomme is a dockapp client for pommed. It displays the current level of
 each item controlled by pommed.

## pommed 1.37~dfsg

=== debian/changelog ===
pommed (1.37~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sat, 05 Feb 2011 18:23:29 +0100

pommed (1.36~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Put libraries in LDLIBS, not LDFLAGS (closes: #607585).
    + Fixes for pmac keyboard backlight (closes: #611149).

 -- Julien BLACHE <jblache@debian.org>  Sat, 05 Feb 2011 14:28:58 +0100

=== debian/control ===
Source: pommed
Section: utils
Priority: optional
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5.0.51~), libpci-dev [i386 amd64], libofapi-dev (>= 0git20070620) [powerpc], libconfuse-dev, libasound2-dev, libaudiofile-dev, libgtk2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.1

Package: pommed
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, eject
Recommends: dbus
Conflicts: mbpeventd
Replaces: mbpeventd
Description: Apple laptops hotkeys event handler
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 pommed also monitors the ambient light sensors to automatically
 light up the keyboard backlight on machines that support it.

Package: gpomme
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, pommed (>= 1.29~dfsg-1), dbus
Description: graphical client for pommed
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 gpomme is a graphical client for pommed. It listens for signals sent by
 pommed on D-Bus and displays the action taken by pommed along with the
 current state associated to this action.

Package: wmpomme
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, pommed (>= 1.29~dfsg-1), dbus
Description: WindowMaker dockapp client for pommed
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 wmpomme is a dockapp client for pommed. It displays the current level of
 each item controlled by pommed.
